Update Metafield
Updates customer metafields. To update the customer metafields, use 'customerId' and 'metafield' in the query parameters.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
metafieldId
The ID of the metafield belonging to the customer. The metafieldId is a generated response when sending a POST query to the Create a Customer Metafields endpoint.
customerId
The ID of the customer.
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects an object.
id
The ID of metafield to update.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
namespace
Namespace for the metafield, for organizational purposes.
key
The name of the field, for example: location_id, color.
value
The value of the field, for example: 1, blue.
description
Description for the metafields.
Response
Response payload for the BigCommerce API.
data
errors
Empty for 200 responses.
meta
Data about the response, including pagination and collection totals.
Errors
400
Bad Request Error
404
Not Found Error